Package in.cdac.medinfo.csnotk.csnolib.util

## Class SnoDomainUtil

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.util.SnoDomainUtil

-     public class SnoDomainUtil
      extends java.lang.Object

  Provides utility of concept, description and refset.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnoDomainUtil()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> java.util.List<T>` | `getDomain​(java.lang.String tableName, long offset, long totalRecords, boolean isExtensionSelected)` | Returns list of `CompositeDescription`, `Relationship`, `RelationshipTC`.
    `java.util.List<CompositeDescription>` | `getDomaincRefset​(java.lang.String refsetId, long offset, long totalRecords, java.util.Set<java.lang.String> moduleIdSet)` | Returns list of `CompositeDescription`s for the provided Refset Id.
    `java.util.List<CompositeDescription>` | `getDomainRefset​(java.lang.String refsetId, long offset, long totalRecords)` |
    `java.lang.String` | `getHierarchyByConceptID​(java.lang.String conceptId, java.lang.String typeId, java.lang.String term, int active, java.lang.String languageCode)` | Retrieves the semantic tag/hierarchy of a particular concept.
    `long` | `getNumberOfRecords()` | Gets the number of records / returnLimit.
    `long` | `getOffset()` | Gets the offset.
    `void` | `setNumberOfRecords​(long numberOfRecords)` | Sets the number of records.
    `void` | `setOffset​(long offset)` | Sets the offset.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnoDomainUtil

          public SnoDomainUtil()

  - ### Method Detail

    - #### getDomain

          public <T> java.util.List<T> getDomain​(java.lang.String tableName,
                                                 long offset,
                                                 long totalRecords,
                                                 boolean isExtensionSelected)
                                          throws java.sql.SQLException,
                                                 java.text.ParseException,
                                                 ConceptStateException,
                                                 ConceptFSNException,
                                                 ConceptDefException

      Returns list of `CompositeDescription`, `Relationship`, `RelationshipTC`.
      Type Parameters:
        `T` -
      Parameters:
        `tableName` - `String` name of the table
        `offset` - `Long` position of record
        `totalRecords` - `Long` number of all record
      Returns:
        list of `CompositeDescription`, `Relationship`, `RelationshipTC`.
      Throws:
        `java.sql.SQLException`
        `java.text.ParseException`
        `ConceptDefException`
        `ConceptFSNException`
        `ConceptStateException`

    - #### getHierarchyByConceptID

          public java.lang.String getHierarchyByConceptID​(java.lang.String conceptId,
                                                          java.lang.String typeId,
                                                          java.lang.String term,
                                                          int active,
                                                          java.lang.String languageCode)
                                                   throws java.sql.SQLException

      Retrieves the semantic tag/hierarchy of a particular concept.
      Parameters:
        `conceptId` - Concept identifier.
        `typeId` - It specifies the description type.
        `term` - The term that specifies the Description.
      Returns:
        `String` value that denotes the hierarchy to which the specific term belongs.
      Throws:
        `java.sql.SQLException`

    - #### getOffset

          public long getOffset()

      Gets the offset.

    - #### setOffset

          public void setOffset​(long offset)

      Sets the offset.
      Parameters:
        `offset` - offset value.

    - #### getNumberOfRecords

          public long getNumberOfRecords()

      Gets the number of records / returnLimit.

    - #### setNumberOfRecords

          public void setNumberOfRecords​(long numberOfRecords)

      Sets the number of records.

    - #### getDomainRefset

          public java.util.List<CompositeDescription> getDomainRefset​(java.lang.String refsetId,
                                                                      long offset,
                                                                      long totalRecords)
                                                               throws java.sql.SQLException,
                                                                      java.text.ParseException,
                                                                      ConceptStateException,
                                                                      ConceptFSNException,
                                                                      ConceptDefException

      Throws:
        `java.sql.SQLException`
        `java.text.ParseException`
        `ConceptStateException`
        `ConceptFSNException`
        `ConceptDefException`

    - #### getDomaincRefset

          public java.util.List<CompositeDescription> getDomaincRefset​(java.lang.String refsetId,
                                                                       long offset,
                                                                       long totalRecords,
                                                                       java.util.Set<java.lang.String> moduleIdSet)
                                                                throws java.sql.SQLException,
                                                                       java.text.ParseException,
                                                                       ConceptStateException,
                                                                       ConceptFSNException,
                                                                       ConceptDefException

      Returns list of `CompositeDescription`s for the provided Refset Id.
      Throws:
        `java.sql.SQLException`
        `java.text.ParseException`
        `ConceptDefException`
        `ConceptFSNException`
        `ConceptStateException`